unit fPINPrompt;

interface

uses
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.StdCtrls,
  Vcl.ExtCtrls,
  Winapi.Messages,
  Windows;

type
  TfrmPINPrompt = class(TForm)
    Panel2: TPanel;
    Panel3: TPanel;
    Label1: TLabel;
    edtPINValue: TEdit;
    btnOK: TButton;
    btnCancel: TButton;
    procedure btnOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    private
      { Private declarations }
    public
      { Public declarations }
  end;
  TPINResultVal = (pinOK, pinCancel, pinLocked);

var
  frmPINPrompt: TfrmPINPrompt;
  PINValue: AnsiString;

implementation

{$R *.dfm}

procedure TfrmPINPrompt.btnOKClick(Sender: TObject);
begin
  PINValue := AnsiString(edtPINValue.Text);
end;

procedure TfrmPINPrompt.FormCreate(Sender: TObject);
begin
  Font := Application.MainForm.Font;
end;

procedure TfrmPINPrompt.FormShow(Sender: TObject);
begin
  edtPINValue.SetFocus;
end;

end.
