unit fWarning;

interface

uses
  Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.StdCtrls,
  Vcl.ExtCtrls;

type
  TfrmWarning = class(TForm)
    btnNo: TButton;
    pnlWarning: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    btnYes: TButton;
    Bevel1: TBevel;
    Bevel2: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    private
      { Private declarations }
    public
      function Execute: TModalResult;
  end;

var
  frmWarning: TfrmWarning;

implementation

{$R *.dfm}

procedure TfrmWarning.FormCreate(Sender: TObject);
begin
  Font := Application.MainForm.Font;
  pnlWarning.Font.Style := [fsBold];
  pnlWarning.Font.Color := clWindow;
  pnlWarning.Font.Size := 16;
end;

procedure TfrmWarning.FormShow(Sender: TObject);
begin
  btnNo.SetFocus;
end;

function TfrmWarning.Execute: TModalResult;
begin
  with TfrmWarning.Create(Application) do
    try
      Result := ShowModal;
    finally
      Free;
    end;
end;

end.
